Loyality Documentation
    Loyality Documentation
    • Coaches
      • Resumes
        • Get all Resumes
        • Filter Resume By Status
        • Get Resume Details
        • Mark As Done
        • Drop A Review
        • Drop Updated Resume
      • Sessions
        • Get All My Sessions
        • View Specific Session
        • Raise A Concern
        • Mark As Complete
        • Ask For Reschdule
      • Mock A Coach
        POST
    • Users
      • Sessions
        • Create A Session (New)
        • Get All Sessions
        • Get A Session
        • Drop A Review
        • Book A Discovery Call
        • Reshedule Session
        • Close Session
        • Raise A Concern
        • One-On-One Coaching
      • Authentication
        • Registration
        • Login
        • Logout
        • Forget-Password
        • Resend Activation Link
        • View Profile
        • Update Account
        • Update Account As Coach
        • Activate Reset Password
        • Google Auth (Redirection Page)
        • Google Auth Callback
        • Change Password
        • Price Account Set Up
        • Schedule Account Setup
        • Turn On / Off Individual Session
      • Resumes
        • Submit A Resume
        • Get All Resumes
        • Get A Specific Resume
        • Make A Review
        • Raise A Concern
      • BootCamps
        • Register For BootCamp
      • Payments
        • Verify Payment Hook
    • Admin
      • Videos
        • Upload An Video
        • Get All Videos
        • Get Specific Videos
        • Delete Video
        • Update Video
      • Community
        • Get All Communities
        • Create A Community
        • Update Community
        • Delete Community
        • Get All Newsletters
      • Coaches
        • Get All Coaches
        • Coach Profile
        • Swtich Coaches Role
      • Sessions
        • Get All Sessions
        • Get Session Details
        • Mark As Complete
        • Setting Timeline On One-On-One
        • USD Session & Sends USD Notification
      • Authentication
        • Profile
        • Admin Login
      • Users
        • Get All Users
        • User Profile
      • Articles
        • Get All Articles
        • Get Article Details
        • Create A Article
        • Update Article
        • Delete Article
      • Testimonials
        • Get All Testimonials
        • Approve Or Disapprove Testimonails
        • Create A Testimonial
        • Get Specific Testimonial
      • BootCamp (Cohort)
        • Add Cohort
        • Get All Cohorts
        • Get All Specific Cohort
        • Get All Students
        • Delete Cohort
        • Update Cohort
      • Resumes
        • Get All Resumes
        • Assign A Resume
        • Get Resume Details
      • Hero Videos
        • Get All Hero Videos
        • Upload Hero Video
        • Get A Specific Hero Video
        • Update Hero Video
        • Delete Hero Video
      • Events
        • Get All Events
        • Create Event
        • Update Event
        • Get Specfic Events
        • Delete Events
      • Get All Subscribers
        GET
    • Get All Coaches
      GET
    • Welcome Page
      GET
    • Activate Account
      GET
    • HealthCheck
      GET
    • Sign Up For NewsLetters
      POST
    • Get All Plans
      GET
    • List Of Banks
      GET
    • Account Verification
      POST
    • Get A Coach
      GET
    • Get all Testimonials
      GET
    • Get All BootCamps
      GET
    • Get All Articles
      GET
    • Get Specific Articles
      GET
    • Get A Specific Bootcamp
      GET
    • Get A Specific Video
      GET
    • Get All Videos
      GET
    • Get All Events
      GET
    • Get A Specific Event
      GET
    • Get All Hero Videos
      GET
    • Get All Communities
      GET
    • Get A Coach By Slug
      GET
    • Check Slug Availability
      GET

      Get A Coach

      GET
      /api/v1/coaches/{id}

      Request

      Path Params

      Responses

      🟢200
      application/json
      Body

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET '/api/v1/coaches/675c473b957cdcceead816f5'
      Response Response Example
      {
          "data": {
              "message": "Request data successfully queried",
              "status": true,
              "data": {
                  "id": "675c473b957cdcceead816f5",
                  "firstName": "Teresa",
                  "email": "Sarina.Kuhn@yahoo.com",
                  "lastName": "Crona",
                  "bio": "emergent fan, dreamer 🥑",
                  "skills": [
                      "Lean Management",
                      "Scrum",
                      "Kanban",
                      "Stakeholder Communication",
                      "Waterfall Methodology",
                      "Portfolio Management",
                      "Project Scheduling",
                      "Agile Methodology",
                      "Requirements Gathering",
                      "Project Forecasting",
                      "Resource Allocation",
                      "Team Leadership",
                      "Earned Value Management",
                      "Gantt Chart Creation",
                      "Time Management",
                      "Risk Management",
                      "Sprint Planning",
                      "Budget Planning",
                      "Conflict Resolution",
                      "Change Management"
                  ],
                  "companies": [
                      {
                          "name": "Marvin, Goldner and Volkman",
                          "image": "https://picsum.photos/seed/bjNliIl/863/3711"
                      },
                      {
                          "name": "Huels, Connelly and Jones",
                          "image": "https://loremflickr.com/316/3637?lock=3202963827444270"
                      },
                      {
                          "name": "Gibson Group",
                          "image": "https://picsum.photos/seed/eRezMJaE/2387/248"
                      },
                      {
                          "name": "Abbott Inc",
                          "image": "https://loremflickr.com/806/226?lock=3049326074301730"
                      },
                      {
                          "name": "Ziemann LLC",
                          "image": "https://picsum.photos/seed/sVr80svk/3168/2615"
                      }
                  ],
                  "updatedAt": "2024-12-13T14:39:55.017Z"
              }
          }
      }
      Modified at 2026-03-12 16:57:10
      Previous
      Account Verification
      Next
      Get all Testimonials
      Built with